"{ Package: 'stx:libjava' }"

Object subclass:#JavaAnnotation
	instanceVariableNames:'nameIndex name valuesCount values parent'
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Reader-Support'
!

!JavaAnnotation class methodsFor:'documentation'!

documentation
"hi there"
! !

!JavaAnnotation class methodsFor:'instance creation'!

for:parent
    "Create & return a new instance for given parent."

    ^ self basicNew initializeFor:parent

    " 
    JavaAnnotation for: nil.
    "

    "Modified: / 17-12-2010 / 16:32:46 / Marcel Hlopko <hlopik@gmail.com>"
! !

!JavaAnnotation methodsFor:'accessing'!

constantPool
 ^parent constantPool.

    "Created: / 17-12-2010 / 14:21:59 / Marcel Hlopko <hlopik@gmail.com>"
!

name
    name isNil ifTrue: [self constantPool at: nameIndex] ifFalse: [^name].

    "Modified: / 17-12-2010 / 18:01:14 / Marcel Hlopko <hlopik@gmail.com>"
!

name: something
    name := something.

    "Created: / 17-12-2010 / 18:02:30 / Marcel Hlopko <hlopik@gmail.com>"
!

nameIndex
    ^ nameIndex
!

nameIndex: something
    nameIndex := something.
    name := self constantPool at: nameIndex.

    "Created: / 17-12-2010 / 18:02:14 / Marcel Hlopko <hlopik@gmail.com>"
    "Modified: / 17-12-2010 / 19:47:41 / Marcel Hlopko <hlopik@gmail.com>"
!

parent
    ^ parent
!

parent:something
    parent := something.
!

valueAt: anIndex

^ values at: anIndex value.

    "Created: / 17-12-2010 / 14:26:38 / Marcel Hlopko <hlopik@gmail.com>"
!

values
    ^ values
!

values:something
    values := something.
!

valuesCount
    ^ valuesCount
!

valuesCount:something
    valuesCount := something.
! !

!JavaAnnotation methodsFor:'initialization'!

initialize

    values := Dictionary new.

    "Created: / 17-12-2010 / 16:35:08 / Marcel Hlopko <hlopik@gmail.com>"
!

initializeFor:aParent 
    "Invoked when a new instance is created for aParent."
    
    parent := aParent.
    self initialize.

    "Modified: / 17-12-2010 / 16:33:59 / Marcel Hlopko <hlopik@gmail.com>"
! !

!JavaAnnotation class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !
